summaryrefslogtreecommitdiff
path: root/eclass/toolchain.eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2023-07-31 04:44:07 +0100
committerV3n3RiX <venerix@koprulu.sector>2023-07-31 04:44:07 +0100
commit358368569cfce7dc6be9a6faed29805babe0e371 (patch)
tree174e69d79cb877a860b4768fd7ba8def89e271d3 /eclass/toolchain.eclass
parent3b4199328e240d392ef1f03900219cb88bdafcff (diff)
gentoo auto-resync : 31:07:2023 - 04:44:07
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index cc104873a497..edd4c89bb00a 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1320,8 +1320,8 @@ toolchain_src_configure() {
confgcc+=( "$@" ${EXTRA_ECONF} )
- if [[ -n ${build_config_targets} ]] ; then
- # ./configure --with-build-config='bootstrap-lto bootstrap-cet'
+ if ! is_crosscompile && ! tc-is-cross-compiler && [[ -n ${build_config_targets} ]] ; then
+ # e.g. ./configure --with-build-config='bootstrap-lto bootstrap-cet'
confgcc+=( --with-build-config="${build_config_targets[*]}" )
fi